function info = startup_piSlv
% STARTUP_piSLV		Script for child MPITB tasks (internal use) Pi example
%
%	It will be called from startup.m when MATLAB starts
%		if this is a spawned task (detected by LAMPARENT envvar)
%	Programmed as function to avoid the need to clear vars (own workspace)
%	Take notice that MPI_Init is the first MPI call
%		that will un-block the MPI_Spawn call in the parent MATLAB

if isempty(getenv('LAMPARENT'))
			error('startup_piSlv: internal use')
elseif strcmp(getenv('LAMPARENT'),'0')
			warning('meaningless LAMPARENT? XMPI?'), return, end

disp('Starting child MATLAB process ...')

info=MPI_Init;
if info~=MPI_SUCCESS,error('startup_piSlv/MPI_Init: must lamboot first'), end

MPI_Errhandler_set('WORLD','RETURN');		% MPI default is aborting
[info parent] =MPI_Comm_get_parent;
global NEWORLD					% useful for child tasks
[info NEWORLD]=MPI_Intercomm_merge(parent,1);	% we are last in communicator
MPI_Errhandler_set(NEWORLD,'RETURN');
hostname					% useful when many children

cmd=' '; cmd=repmat(cmd,1,100);			% Room for cmd string
MPI_Bcast(cmd,0,NEWORLD);			% Recv command
eval(cmd); MPI_Finalize; quit			% Evaluate command/quit

